Gecode::Support::IntTypeTraits< unsigned int > Class Reference

Traits for unsigned integer. More...

`#include <int-type.hpp>`

## Public Types

typedef unsigned int | utype
| Corresponding unsigned type.
typedef signed int | stype
| Corresponding signed type.

## Static Public Attributes

static const unsigned int | min = 0
| Minimal value.
static const unsigned int | max = UINT_MAX
| Maximal value.
static const IntType | description = IT_INT
| Description of type.

## Detailed Description

Traits for unsigned integer.

Definition at line 131 of file int-type.hpp.

## Member Typedef Documentation

## utype

typedef unsigned int Gecode::Support::IntTypeTraits< unsigned int >::utype

Corresponding unsigned type.

Definition at line 134 of file int-type.hpp.

## stype

typedef signed int Gecode::Support::IntTypeTraits< unsigned int >::stype

Corresponding signed type.

Definition at line 136 of file int-type.hpp.

## Member Data Documentation

## min

const unsigned int Gecode::Support::IntTypeTraits< unsigned int >::min = 0

static

Minimal value.

Definition at line 138 of file int-type.hpp.

## max

const unsigned int Gecode::Support::IntTypeTraits< unsigned int >::max = UINT_MAX

static

Maximal value.

Definition at line 140 of file int-type.hpp.

## description

const IntType Gecode::Support::IntTypeTraits< unsigned int >::description = IT_INT

static

Description of type.

Definition at line 142 of file int-type.hpp.

The documentation for this class was generated from the following file:

- gecode/support/int-type.hpp